[arch-commits] Commit in smalltalk/repos (6 files)
Alexander Rødseth
arodseth at archlinux.org
Sun Apr 12 01:26:08 UTC 2015
Date: Sunday, April 12, 2015 @ 03:26:08
Author: arodseth
Revision: 131210
archrelease: copy trunk to community-staging-x86_64, community-staging-i686
Added:
smalltalk/repos/community-staging-i686/
smalltalk/repos/community-staging-i686/PKGBUILD
(from rev 131209, smalltalk/trunk/PKGBUILD)
smalltalk/repos/community-staging-i686/smalltalk.install
(from rev 131209, smalltalk/trunk/smalltalk.install)
smalltalk/repos/community-staging-x86_64/
smalltalk/repos/community-staging-x86_64/PKGBUILD
(from rev 131209, smalltalk/trunk/PKGBUILD)
smalltalk/repos/community-staging-x86_64/smalltalk.install
(from rev 131209, smalltalk/trunk/smalltalk.install)
--------------------------------------------+
community-staging-i686/PKGBUILD | 59 +++++++++++++++++++++++++++
community-staging-i686/smalltalk.install | 22 ++++++++++
community-staging-x86_64/PKGBUILD | 59 +++++++++++++++++++++++++++
community-staging-x86_64/smalltalk.install | 22 ++++++++++
4 files changed, 162 insertions(+)
Copied: smalltalk/repos/community-staging-i686/PKGBUILD (from rev 131209, smalltalk/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD (rev 0)
+++ community-staging-i686/PKGBUILD 2015-04-12 01:26:08 UTC (rev 131210)
@@ -0,0 +1,59 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: Kaiting Chen <kaitocracy at gmail.com>
+# Contributor: mrshpot <mrshpot at gmail dot com>
+# Contributor: Michael Fellinger <m.fellinger at gmail.com>
+
+pkgname=smalltalk
+pkgver=3.2.5
+pkgrel=3
+pkgdesc='Implementation of Smalltalk-80'
+url='http://smalltalk.gnu.org/'
+license=('GPL' 'LGPL')
+arch=('x86_64' 'i686')
+options=('!emptydirs' 'staticlibs')
+depends=('gmp' 'libffi' 'libsigsegv' 'readline' 'libltdl')
+makedepends=('gdbm' 'gtk2' 'sqlite' 'tk' 'zip')
+install="$pkgname.install"
+source=("ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz")
+sha256sums=('06e574e818ec49f0555d948ae53b1453d8c1df59ef597dad911a4fd1ffba1cce')
+optdepends=('tk: for gst-blox'
+ 'sqlite: database in a file'
+ 'sed: for examples'
+ 'gtk2: GUI toolkit')
+
+build() {
+ cd "$pkgname-$pkgver"
+
+ ./configure \
+ --prefix=/usr \
+ --libexecdir=/usr/lib/smalltalk \
+ --with-imagedir=/var/lib/smalltalk \
+ --enable-gtk=yes \
+ --with-system-libffi \
+ --with-system-libsigsegv \
+ --with-readline \
+ --with-tcl \
+ --with-tk \
+ --with-x \
+ --without-emacs
+
+ echo '#define USE_INTERP_RESULT 1' >> config.h
+ make
+}
+
+check() {
+ make -C "$pkgname-$pkgver" check
+}
+
+package() {
+ cd "$pkgname-$pkgver"
+
+ make DESTDIR="$pkgdir" install
+
+ # Fix manpage symlink
+ rm -f "$pkgdir/usr/share/man/man1/gst-reload.1"
+ ln -s gst-load.1 "$pkgdir/usr/share/man/man1/gst-reload.1"
+}
+
+# vim:set ts=2 sw=2 et:
Copied: smalltalk/repos/community-staging-i686/smalltalk.install (from rev 131209, smalltalk/trunk/smalltalk.install)
===================================================================
--- community-staging-i686/smalltalk.install (rev 0)
+++ community-staging-i686/smalltalk.install 2015-04-12 01:26:08 UTC (rev 131210)
@@ -0,0 +1,22 @@
+infodir=usr/share/info
+filelist=(gst-base.info{,-1,-2,-3,-4,-5}.gz gst-libs.info{,-1,-2,-3}.gz gst.info{,-1,-2}.gz)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+# vim:set ts=2 sw=2 et:
Copied: smalltalk/repos/community-staging-x86_64/PKGBUILD (from rev 131209, smalltalk/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2015-04-12 01:26:08 UTC (rev 131210)
@@ -0,0 +1,59 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: Kaiting Chen <kaitocracy at gmail.com>
+# Contributor: mrshpot <mrshpot at gmail dot com>
+# Contributor: Michael Fellinger <m.fellinger at gmail.com>
+
+pkgname=smalltalk
+pkgver=3.2.5
+pkgrel=3
+pkgdesc='Implementation of Smalltalk-80'
+url='http://smalltalk.gnu.org/'
+license=('GPL' 'LGPL')
+arch=('x86_64' 'i686')
+options=('!emptydirs' 'staticlibs')
+depends=('gmp' 'libffi' 'libsigsegv' 'readline' 'libltdl')
+makedepends=('gdbm' 'gtk2' 'sqlite' 'tk' 'zip')
+install="$pkgname.install"
+source=("ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.gz")
+sha256sums=('06e574e818ec49f0555d948ae53b1453d8c1df59ef597dad911a4fd1ffba1cce')
+optdepends=('tk: for gst-blox'
+ 'sqlite: database in a file'
+ 'sed: for examples'
+ 'gtk2: GUI toolkit')
+
+build() {
+ cd "$pkgname-$pkgver"
+
+ ./configure \
+ --prefix=/usr \
+ --libexecdir=/usr/lib/smalltalk \
+ --with-imagedir=/var/lib/smalltalk \
+ --enable-gtk=yes \
+ --with-system-libffi \
+ --with-system-libsigsegv \
+ --with-readline \
+ --with-tcl \
+ --with-tk \
+ --with-x \
+ --without-emacs
+
+ echo '#define USE_INTERP_RESULT 1' >> config.h
+ make
+}
+
+check() {
+ make -C "$pkgname-$pkgver" check
+}
+
+package() {
+ cd "$pkgname-$pkgver"
+
+ make DESTDIR="$pkgdir" install
+
+ # Fix manpage symlink
+ rm -f "$pkgdir/usr/share/man/man1/gst-reload.1"
+ ln -s gst-load.1 "$pkgdir/usr/share/man/man1/gst-reload.1"
+}
+
+# vim:set ts=2 sw=2 et:
Copied: smalltalk/repos/community-staging-x86_64/smalltalk.install (from rev 131209, smalltalk/trunk/smalltalk.install)
===================================================================
--- community-staging-x86_64/smalltalk.install (rev 0)
+++ community-staging-x86_64/smalltalk.install 2015-04-12 01:26:08 UTC (rev 131210)
@@ -0,0 +1,22 @@
+infodir=usr/share/info
+filelist=(gst-base.info{,-1,-2,-3,-4,-5}.gz gst-libs.info{,-1,-2,-3}.gz gst.info{,-1,-2}.gz)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list